/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;
  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/block-role.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;
  
   result := DBMS_XDB.createresource('/public/xxas/emp/view/block-role.xml',
'<View defaultFormHandler="xxas_roles_pkg.insert_row_form_handler" title="Block role">
  <EditFields>
    <Hidden id="ROLE_ID"/>
    <Hidden id="PERSON_ID"/>
    <TextInput id="DISPLAY_NAME" label="{message.XXAS_ROLE_NAME}" visible="true" required="true"/>
    <Date id="ACTIVE_FROM"  label="{message.XXAS_ROLE_ACTIVE_FROM}" visible="true" required="true"/>
    <Date id="ACTIVE_TO"    label="{message.XXAS_ROLE_ACTIVE_TO}" visible="true" required="false"/>
    <TextInput id="DESCRIPTION"  label="{message.XXAS_ROLE_DESCRIPTION}" visible="true" required="true"/>    
  </EditFields>  
</View>' );
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/block-role.xml');
END;
/
COMMIT;
EXIT;
